All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata.prompt
Class OMRPromptDefinition

    com.sas.services.information.metadata.prompt.OMRPromptDefinition

All Implemented Interfaces:
  MetadataInterface, BaseOMRPromptInterface, com.sas.services.information.metadata.prompt.OMRPromptDefinitionInterface, PublicObjectInterface, com.sas.storage.editableproperties.LocalizableProperties, com.sas.storage.editableproperties.MultiLocaleProperties, com.sas.storage.editableproperties.SubstitutionProperties, java.io.Serializable, java.rmi.Remote

    public final class OMRPromptDefinition

implements com.sas.services.information.metadata.prompt.OMRPromptDefinitionInterface, com.sas.storage.editableproperties.MultiLocaleProperties, com.sas.storage.editableproperties.SubstitutionProperties

This smart object stores a `com.sas.prompts.definition.PromptDefintionInterface` in metadata as a string of XML passed to `setPromptInfo()`. The prompt definition can be reconstructed via `getPromptDefinition()`.

Since:
  9.2
See Also:
  Serialized Form

Field Summary
`static com.sas.util.UsageVersion` | `CURRENT_VERSION`
`protected java.lang.String` | `LOG_CONTEXT`
`static com.sas.util.UsageVersion` | `OLDEST_VERSION`
`protected static java.lang.String` | `RB_KEY`

Fields inherited from class com.sas.services.information.metadata.Metadata
`_actionInterfaces, _children, _isCompatible, _isDestroyPending, _isReadCompatible, _myRefreshInterval, _myState, _omrCreateDate, _omrModifyDate, _repository, _repositoryFlag, _repositoryObject, _treeRefreshTime, formats, gmtZone, OMSOBJ_STRING, REPOSITORY_DAV, REPOSITORY_LOMR, REPOSITORY_NONE, REPOSITORY_OMR, SLASH`

Fields inherited from interface com.sas.services.information.metadata.MetadataInterface
`METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

Constructor Summary
`OMRPromptDefinition()`
`OMRPromptDefinition(java.lang.Object arg0, java.lang.Class arg1)`
`OMRPromptDefinition(com.sas.metadata.remote.Prompt arg0)`
`OMRPromptDefinition(com.sas.metadata.remote.impl.PromptImpl_Stub arg0)`
`OMRPromptDefinition(com.sas.metadata.remote.impl.PromptImpl arg0)`
`OMRPromptDefinition(RepositoryInterface repos, java.lang.String name, FolderInterface parent)` Constructor for OMRPromptDefinition.

Method Summary
`void` | `addPromptReference(BaseOMRPromptInterface prompt)` Add the supplied prompt as a reference to this prompt, where this prompt is a shared prompt definition or group in a tree folder (therefore a public prompt).
`void` | `addReferencedPrompt(BaseOMRPromptInterface prompt)` Adds a referenced prompt (a shared prompt definition or prompt group that is in a tree folder) to the list of referenced prompts kept by this prompt object.
`void` | `addValueSource(MetadataInterface metaObject)` Adds the metaObject as a value source.
`void` | `beginLocalization()`
`MetadataInterface` | `copyTo(FolderInterface folder, java.lang.String name)` This override assures that the copy has the original's value sources set on it.
`void` | `delete()` Removes all prompt references, all referenced prompts, all value sources, then calls super.delete().
`void` | `endLocalization()`
`java.util.Collection` | `getLocales()`
`com.sas.storage.editableproperties.PropertyList` | `getLocalizableProperties()`
`com.sas.storage.editableproperties.PropertyList` | `getLocalizableProperties(java.util.Locale locale)`
`com.sas.prompts.definitions.PromptDefinitionInterface` | `getPromptDefinition()` Returns the `com.sas.prompts.definitions.PromptDefinitionInterface` object created by the XML returned from `getDefinitionInfo()`.
`com.sas.prompts.definitions.PromptDefinitionInterface` | `getPromptDefinition(com.sas.util.xmlpersist.PromptsReadingContext readingContext)` Returns the `com.sas.prompts.definitions.PromptDefinitionInterface` object created by the XML returned from `getDefinitionInfo()`.
`MetadataInterface` | `getPromptEnabledObject()` Gets the metadata object associated with this prompt.
`protected com.sas.util.xmlpersist.PersistenceInterface` | `getPromptFromXML(com.sas.util.xmlpersist.PromptsReadingContext readingContext, java.lang.String xml)`
`java.lang.String` | `getPromptInfo()` Returns the XML string of prompt info.
`java.util.List` | `getPromptReferences()` Returns a list of prompt references held by this prompt.
`int` | `getPromptType()` Returns a value corresponding to the type of PromptDefinitionInterface.
`java.util.List` | `getReferencedPrompts()` Returns a list of all referenced prompts (shared prompts in a tree folder) held by this prompt.
`com.sas.storage.editableproperties.PropertyList` | `getSubstitutionProperties()` Returns a non-null property list.
`java.lang.String` | `getType()` Returns SmartTypes.TYPE_PROMPT, i.e.
`com.sas.util.UsageVersion` | `getUsageVersion()` This method adds a micro version representing the major and minor version of the XML stored in this object.
`java.util.List` | `getValueSources()` Returns a list of MetadataInterface items that are value sources for the prompt.
`boolean` | `isPublic()`
`void` | `removeAllPromptReferences()` Removes all prompt references such that this shared prompt is no longer linked to any other prompts.
`void` | `removeAllReferencedPrompts()` Removes all referenced prompts such that this prompt is no longer linked to any shared prompts.
`void` | `removeAllValueSources()` Removes all value sources associated with the prompt.
`void` | `removePromptEnabledObject()` Removes the prompt-enabled object associated with this prompt.
`void` | `removePromptReference(BaseOMRPromptInterface prompt)` Removes the supplied prompt from the list of prompt references held by this prompt.
`void` | `removeReferencedPrompt(BaseOMRPromptInterface prompt)` Remove the supplied prompt (a shared prompt in a tree folder) from the list of referenced prompts held by this prompt.
`void` | `setLocalizableProperties(java.util.Locale locale, com.sas.storage.editableproperties.PropertyMap map)`
`void` | `setLocalizableProperties(com.sas.storage.editableproperties.PropertyMap map)`
`void` | `setPromptEnabledObject(MetadataInterface metaObject)` Sets an association between the prompt and metaObject unless the prompt is public.
`void` | `setPromptInfo(java.lang.String promptInfo)` Set a string of XML that represents an instance of a PromptDefinitionInterface.
`void` | `setPromptType(int type)` Sets a value corresponding to the type of PromptDefinitionInterface.
`void` | `setSubstitutionProperties(com.sas.storage.editableproperties.PropertyMap map)` If the map contains a nested property whose key equals the name of this smart object, it will be passed to the wrapped prompt for processing.

Methods inherited from class com.sas.services.information.metadata.Metadata
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addProcessorInterface, addPrompt, addPropertySet, addRemark, addResponsibleParty, addToList, addTransactionListener, addUsedByPrototype, checkin, checkout, checkPulse, clearInformationService, commit, countAssociatedObjects, deleteAttribute, deleteAttributes, deleteRootObject, destroy, fromByteArray, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getContainer, getCreateDate, getCreatedBy, getDefaultLocalizableProperties, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentifier, getIdentities, getImplementors, getInformationService, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getName, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getObjectURI, getParent, getParentPath, getParents, getPath, getPaths, getPathUrl, getPathUrl, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getProcessorInterface, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getTreeRefresh, getTypeDescriptor, getUsedByPrototypes, getUsingPrototype, getVersion, hashCode, isAuthorized, isCompatible, isConnectionException, isDeleted, isDestroyed, isLoggingEnabled, isLoggingEnabled, isObjectAlive, isReadCompatible, logFormat, logFormat, logFormat, logFormat, logFormat, logFormat, logFormat, logFormat, logMessage, logMessage, logMessage, logMessage, logThrowable, logThrowable, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, notifyTransactionListeners, refresh, removeAccessControl, removeDocument, removeExtension, removeFromList, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, reset, rollback, setAttribute, setAttributes, setCompatibility, setDefaultLocalizableProperties, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setTreeRefresh, setUsingPrototype, startTransaction, toByteArray, toString, transactionEvent, uncheckout, update, updateFromBag, validateNameAndFolder, validateNameAndFolder, version`

Methods inherited from interface com.sas.services.information.metadata.prompt.BaseOMRPromptInterface
`addPromptReference, addReferencedPrompt, addValueSource, getPromptEnabledObject, getPromptReferences, getReferencedPrompts, getValueSources, isPublic, removeAllPromptReferences, removeAllReferencedPrompts, removeAllValueSources, removePromptEnabledObject, removePromptReference, removeReferencedPrompt, setPromptEnabledObject`

Methods inherited from interface com.sas.services.information.metadata.MetadataInterface
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isLoggingEnabled, isObjectAlive, isReadCompatible, logMessage, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface
`addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

Field Detail

### LOG_CONTEXT

    protected final java.lang.String LOG_CONTEXT

### RB_KEY

    protected static final java.lang.String RB_KEY

See Also:
  Constant Field Values

### OLDEST_VERSION

    public static final com.sas.util.UsageVersion OLDEST_VERSION

### CURRENT_VERSION

    public static final com.sas.util.UsageVersion CURRENT_VERSION

Constructor Detail

### OMRPromptDefinition

    public OMRPromptDefinition(com.sas.metadata.remote.Prompt arg0)
                        throws java.rmi.RemoteException

Parameters:
  `arg0` -
Throws:
  `java.rmi.RemoteException`

### OMRPromptDefinition

    public OMRPromptDefinition()
                        throws java.rmi.RemoteException

Throws:
  `java.rmi.RemoteException`

### OMRPromptDefinition

    public OMRPromptDefinition(java.lang.Object arg0,
                               java.lang.Class arg1)
                        throws java.rmi.RemoteException

Parameters:
  `arg0` -
  `arg1` -
Throws:
  `java.rmi.RemoteException`

### OMRPromptDefinition

    public OMRPromptDefinition(com.sas.metadata.remote.impl.PromptImpl arg0)
                        throws java.rmi.RemoteException

Parameters:
  `arg0` -
Throws:
  `java.rmi.RemoteException`

### OMRPromptDefinition

    public OMRPromptDefinition(com.sas.metadata.remote.impl.PromptImpl_Stub arg0)
                        throws java.rmi.RemoteException

Throws:
  `java.rmi.RemoteException`

### OMRPromptDefinition

    public OMRPromptDefinition(RepositoryInterface repos,
                               java.lang.String name,
                               FolderInterface parent)
                        throws java.rmi.RemoteException

  Constructor for OMRPromptDefinition.

  Parameters:
    `repos` - RepositoryInterface
    `name` - String
    `parent` - FolderInterface
  Throws:
    `java.rmi.RemoteException`

Method Detail

### getType

    public java.lang.String getType()

  Returns SmartTypes.TYPE_PROMPT, i.e. "Prompt", the smart object type.

  Specified by:
    `getType` in interface `MetadataInterface`
  Overrides:
    `getType` in class `Metadata`
  Returns:
    String
  See Also:
    `MetadataInterface.getType()`

### getPromptInfo

    public java.lang.String getPromptInfo()
                                   throws java.rmi.RemoteException,
                                          ServiceException

  Description copied from interface: `OMRPromptDefinitionInterface`
  Returns the XML string of prompt info. The XML can be parsed into a PromptDefinitionInterface instance.

  Specified by:
    `getPromptInfo` in interface `com.sas.services.information.metadata.prompt.OMRPromptDefinitionInterface`
  Returns:
    String of XML
  Throws:
    `java.rmi.RemoteException`
    `ServiceException`

### setPromptInfo

    public void setPromptInfo(java.lang.String promptInfo)
                       throws java.rmi.RemoteException,
                              ServiceException

  Description copied from interface: `OMRPromptDefinitionInterface`
  Set a string of XML that represents an instance of a PromptDefinitionInterface.

  Specified by:
    `setPromptInfo` in interface `com.sas.services.information.metadata.prompt.OMRPromptDefinitionInterface`
  Parameters:
    `promptInfo` - String of XML
  Throws:
    `java.rmi.RemoteException`
    `ServiceException`

### setPromptType

    public void setPromptType(int type)
                       throws java.rmi.RemoteException,
                              ServiceException

  Description copied from interface: `OMRPromptDefinitionInterface`
  Sets a value corresponding to the type of PromptDefinitionInterface. The valid values can be obtained from `com.sas.prompts.definitions.PromptDefinitionEnum.getOrdinal()`.

  Specified by:
    `setPromptType` in interface `com.sas.services.information.metadata.prompt.OMRPromptDefinitionInterface`
  Parameters:
    `type` - int
  Throws:
    `java.rmi.RemoteException`
    `ServiceException`

### getPromptType

    public int getPromptType()
                      throws java.rmi.RemoteException,
                             ServiceException

  Description copied from interface: `OMRPromptDefinitionInterface`
  Returns a value corresponding to the type of PromptDefinitionInterface.

  Specified by:
    `getPromptType` in interface `com.sas.services.information.metadata.prompt.OMRPromptDefinitionInterface`
  Returns:
    int
  Throws:
    `java.rmi.RemoteException`
    `ServiceException`

### getPromptDefinition

    public com.sas.prompts.definitions.PromptDefinitionInterface getPromptDefinition()
                                                                              throws java.rmi.RemoteException,
                                                                                     ServiceException

  Description copied from interface: `OMRPromptDefinitionInterface`
  Returns the `com.sas.prompts.definitions.PromptDefinitionInterface` object created by the XML returned from `getDefinitionInfo()`. Null will be returned if there is no XML available or it does not result in a valid instance of PromptDefinitionInterface.

  If any missing resources are detected, an unmodifiable copy of `com.sas.util.xmlpersist.PromptsReadingContext.getMissingResources()` will be available from `sessionContext.getAttribute(com.sas.util.xmlpersist.PersistConstants.MISSING_RESOURCES)`. This is contingent upon the available userContext containing a session context.

  Specified by:
    `getPromptDefinition` in interface `com.sas.services.information.metadata.prompt.OMRPromptDefinitionInterface`
  Returns:
    the prompt definition
  Throws:
    `java.rmi.RemoteException`
    `ServiceException` - if exceptions occur parsing xml and creating objects

### getPromptDefinition

    public com.sas.prompts.definitions.PromptDefinitionInterface getPromptDefinition(com.sas.util.xmlpersist.PromptsReadingContext readingContext)
                                                                              throws java.rmi.RemoteException,
                                                                                     ServiceException

  Description copied from interface: `OMRPromptDefinitionInterface`
  Returns the `com.sas.prompts.definitions.PromptDefinitionInterface` object created by the XML returned from `getDefinitionInfo()`. Null will be returned if there is no XML available or it does not result in a valid instance of PromptDefinitionInterface. The reading context will be used, if supplied. Otherwise a "placeholder" PromptsReadingContext will be created and passed to the XML parsing routine. A reading context may be obtained via methods on `com.sas.services.information.metadata.prompts.PersistenceFactoryWithServices`/

  Specified by:
    `getPromptDefinition` in interface `com.sas.services.information.metadata.prompt.OMRPromptDefinitionInterface`
  Returns:
    the prompt definition
  Throws:
    `java.rmi.RemoteException`
    `ServiceException` - if exceptions occur parsing xml and creating objects

### getLocalizableProperties

    public com.sas.storage.editableproperties.PropertyList getLocalizableProperties()
                                                                             throws com.sas.storage.editableproperties.UnexpectedLocalizationException

  Specified by:
    `getLocalizableProperties` in interface `com.sas.storage.editableproperties.LocalizableProperties`
  Throws:
    `com.sas.storage.editableproperties.UnexpectedLocalizationException`

### getLocales

    public java.util.Collection getLocales()
                                    throws com.sas.storage.editableproperties.UnexpectedLocalizationException

  Specified by:
    `getLocales` in interface `com.sas.storage.editableproperties.MultiLocaleProperties`
  Throws:
    `com.sas.storage.editableproperties.UnexpectedLocalizationException`

### getLocalizableProperties

    public com.sas.storage.editableproperties.PropertyList getLocalizableProperties(java.util.Locale locale)
                                                                             throws com.sas.storage.editableproperties.UnexpectedLocalizationException

  Specified by:
    `getLocalizableProperties` in interface `com.sas.storage.editableproperties.MultiLocaleProperties`
  Throws:
    `com.sas.storage.editableproperties.UnexpectedLocalizationException`

### beginLocalization

    public void beginLocalization()
                           throws com.sas.storage.editableproperties.UnexpectedLocalizationException

  Specified by:
    `beginLocalization` in interface `com.sas.storage.editableproperties.MultiLocaleProperties`
  Throws:
    `com.sas.storage.editableproperties.UnexpectedLocalizationException`

### setLocalizableProperties

    public void setLocalizableProperties(com.sas.storage.editableproperties.PropertyMap map)
                                  throws com.sas.storage.editableproperties.UnexpectedLocalizationException

  Specified by:
    `setLocalizableProperties` in interface `com.sas.storage.editableproperties.LocalizableProperties`
  Throws:
    `com.sas.storage.editableproperties.UnexpectedLocalizationException`

### setLocalizableProperties

    public void setLocalizableProperties(java.util.Locale locale,
                                         com.sas.storage.editableproperties.PropertyMap map)
                                  throws com.sas.storage.editableproperties.UnexpectedLocalizationException

  Specified by:
    `setLocalizableProperties` in interface `com.sas.storage.editableproperties.MultiLocaleProperties`
  Throws:
    `com.sas.storage.editableproperties.UnexpectedLocalizationException`

### endLocalization

    public void endLocalization()
                         throws com.sas.storage.editableproperties.UnexpectedLocalizationException

  Specified by:
    `endLocalization` in interface `com.sas.storage.editableproperties.MultiLocaleProperties`
  Throws:
    `com.sas.storage.editableproperties.UnexpectedLocalizationException`

### getSubstitutionProperties

    public com.sas.storage.editableproperties.PropertyList getSubstitutionProperties()
                                                                              throws com.sas.storage.editableproperties.UnexpectedSubstitutionException

  Returns a non-null property list. If this holds a prompt that implements SubstitutionProperties, this method will return the prompt's list as a nested list with this smart object's name as the key.

  Specified by:
    `getSubstitutionProperties` in interface `com.sas.storage.editableproperties.SubstitutionProperties`
  Throws:
    `declared` - exception wrapping RemoteException or ServiceException
    `com.sas.storage.editableproperties.UnexpectedSubstitutionException`
  See Also:
    `SubstitutionProperties.getSubstitutionProperties()`

### setSubstitutionProperties

    public void setSubstitutionProperties(@NotNull
                                          com.sas.storage.editableproperties.PropertyMap map)
                                   throws com.sas.storage.editableproperties.UnexpectedSubstitutionException

  If the map contains a nested property whose key equals the name of this smart object, it will be passed to the wrapped prompt for processing.

  Specified by:
    `setSubstitutionProperties` in interface `com.sas.storage.editableproperties.SubstitutionProperties`
  Throws:
    `declared` - exception wrapping RemoteException or ServiceException
    `com.sas.storage.editableproperties.UnexpectedSubstitutionException`
  See Also:
    `SubstitutionProperties.setSubstitutionProperties(com.sas.storage.editableproperties.PropertyMap)`

### removePromptEnabledObject

    public void removePromptEnabledObject()
                                   throws java.rmi.RemoteException,
                                          ServiceException

  Description copied from interface: `BaseOMRPromptInterface`
  Removes the prompt-enabled object associated with this prompt. Removal effectively orphans this prompt, so this prompt should either be deleted or associated with a different prompt-enabled object.

  Specified by:
    `removePromptEnabledObject` in interface `BaseOMRPromptInterface`
  Throws:
    `java.rmi.RemoteException`
    `ServiceException`

### setPromptEnabledObject

    public void setPromptEnabledObject(MetadataInterface metaObject)
                                throws java.rmi.RemoteException,
                                       ServiceException

  Description copied from interface: `BaseOMRPromptInterface`
  Sets an association between the prompt and metaObject unless the prompt is public. In that case a ServiceException is thrown.

  Specified by:
    `setPromptEnabledObject` in interface `BaseOMRPromptInterface`
  Throws:
    `java.rmi.RemoteException`
    `ServiceException`

### getPromptEnabledObject

    public MetadataInterface getPromptEnabledObject()
                                             throws java.rmi.RemoteException,
                                                    ServiceException

  Description copied from interface: `BaseOMRPromptInterface`
  Gets the metadata object associated with this prompt.

  Specified by:
    `getPromptEnabledObject` in interface `BaseOMRPromptInterface`
  Returns:
    MetadataInterface
  Throws:
    `java.rmi.RemoteException`
    `ServiceException`

### addValueSource

    public void addValueSource(MetadataInterface metaObject)
                        throws java.rmi.RemoteException,
                               ServiceException

  Description copied from interface: `BaseOMRPromptInterface`
  Adds the metaObject as a value source. The value sources are used for metadata impact analysis. Impact analysis provides warnings when linked metadata objects are threatened by changes to a metadata object.

  Specified by:
    `addValueSource` in interface `BaseOMRPromptInterface`
  Parameters:
    `metaObject` - MetadataInterface
  Throws:
    `java.rmi.RemoteException`
    `ServiceException`

### getValueSources

    public java.util.List getValueSources()
                                   throws java.rmi.RemoteException,
                                          ServiceException

  Description copied from interface: `BaseOMRPromptInterface`
  Returns a list of MetadataInterface items that are value sources for the prompt. If none exist, an empty list is returned.

  Specified by:
    `getValueSources` in interface `BaseOMRPromptInterface`
  Returns:
    List with MetadataInterface items
  Throws:
    `java.rmi.RemoteException` - if network problems occur
    `ServiceException` - if problems occur accessing metadata

### removeAllValueSources

    public void removeAllValueSources()
                               throws java.rmi.RemoteException,
                                      ServiceException

  Description copied from interface: `BaseOMRPromptInterface`
  Removes all value sources associated with the prompt.

  Specified by:
    `removeAllValueSources` in interface `BaseOMRPromptInterface`
  Throws:
    `java.rmi.RemoteException`
    `ServiceException`

### addPromptReference

    public void addPromptReference(BaseOMRPromptInterface prompt)
                            throws java.rmi.RemoteException,
                                   ServiceException

  Description copied from interface: `BaseOMRPromptInterface`
  Add the supplied prompt as a reference to this prompt, where this prompt is a shared prompt definition or group in a tree folder (therefore a public prompt). The supplied prompt may not itself be a shared prompt. References may only exist between shared and unshared prompt objects. If `this.isPublic()` returns false, a ServiceException will be thrown. If `prompt.isPublic()` returns true, a ServiceException will be thrown.

  Specified by:
    `addPromptReference` in interface `BaseOMRPromptInterface`
  Parameters:
    `prompt` - the prompt to add as a reference
  Throws:
    `java.rmi.RemoteException`
    `ServiceException`

### removePromptReference

    public void removePromptReference(BaseOMRPromptInterface prompt)
                               throws java.rmi.RemoteException,
                                      ServiceException

  Description copied from interface: `BaseOMRPromptInterface`
  Removes the supplied prompt from the list of prompt references held by this prompt.

  Specified by:
    `removePromptReference` in interface `BaseOMRPromptInterface`
  Parameters:
    `prompt` - to remove
  Throws:
    `java.rmi.RemoteException`
    `ServiceException`

### removeAllPromptReferences

    public void removeAllPromptReferences()
                                   throws java.rmi.RemoteException,
                                          ServiceException

  Description copied from interface: `BaseOMRPromptInterface`
  Removes all prompt references such that this shared prompt is no longer linked to any other prompts.

  Specified by:
    `removeAllPromptReferences` in interface `BaseOMRPromptInterface`
  Throws:
    `java.rmi.RemoteException`
    `ServiceException`

### getPromptReferences

    public java.util.List getPromptReferences()
                                       throws java.rmi.RemoteException,
                                              ServiceException

  Description copied from interface: `BaseOMRPromptInterface`
  Returns a list of prompt references held by this prompt. The references are to the prompt objects that link to this shared prompt.

  Specified by:
    `getPromptReferences` in interface `BaseOMRPromptInterface`
  Returns:
    the list of BaseOMRPromptInterface objects
  Throws:
    `java.rmi.RemoteException`
    `ServiceException`

### addReferencedPrompt

    public void addReferencedPrompt(BaseOMRPromptInterface prompt)
                             throws java.rmi.RemoteException,
                                    ServiceException

  Description copied from interface: `BaseOMRPromptInterface`
  Adds a referenced prompt (a shared prompt definition or prompt group that is in a tree folder) to the list of referenced prompts kept by this prompt object. This prompt may not be a shared, public prompt. References may only exist between shared and unshared prompt objects. If `this.isPublic()` returns true, a ServiceException will be thrown. If `prompt.isPublic()` returns false, a ServiceException will be thrown.

  Specified by:
    `addReferencedPrompt` in interface `BaseOMRPromptInterface`
  Parameters:
    `prompt` - to add
  Throws:
    `java.rmi.RemoteException`
    `ServiceException`

### removeReferencedPrompt

    public void removeReferencedPrompt(BaseOMRPromptInterface prompt)
                                throws java.rmi.RemoteException,
                                       ServiceException

  Description copied from interface: `BaseOMRPromptInterface`
  Remove the supplied prompt (a shared prompt in a tree folder) from the list of referenced prompts held by this prompt.

  Specified by:
    `removeReferencedPrompt` in interface `BaseOMRPromptInterface`
  Parameters:
    `prompt` - to remove
  Throws:
    `java.rmi.RemoteException`
    `ServiceException`

### removeAllReferencedPrompts

    public void removeAllReferencedPrompts()
                                    throws java.rmi.RemoteException,
                                           ServiceException

  Description copied from interface: `BaseOMRPromptInterface`
  Removes all referenced prompts such that this prompt is no longer linked to any shared prompts.

  Specified by:
    `removeAllReferencedPrompts` in interface `BaseOMRPromptInterface`
  Throws:
    `java.rmi.RemoteException`
    `ServiceException`

### getReferencedPrompts

    public java.util.List getReferencedPrompts()
                                        throws java.rmi.RemoteException,
                                               ServiceException

  Description copied from interface: `BaseOMRPromptInterface`
  Returns a list of all referenced prompts (shared prompts in a tree folder) held by this prompt.

  Specified by:
    `getReferencedPrompts` in interface `BaseOMRPromptInterface`
  Returns:
    the list of BaseOMRPromptInterface objects
  Throws:
    `java.rmi.RemoteException`
    `ServiceException`

### delete

    public void delete()
                throws ServiceException,
                       java.rmi.RemoteException

  Removes all prompt references, all referenced prompts, all value sources, then calls super.delete().

  Specified by:
    `delete` in interface `MetadataInterface`
  Overrides:
    `delete` in class `Metadata`
  Throws:
    `ServiceException` - in the event of a repository failure.
    `java.rmi.RemoteException` - in the event of a network failure.
  See Also:
    `Metadata.delete()`

### copyTo

    public MetadataInterface copyTo(FolderInterface folder,
                                    java.lang.String name)
                             throws ServiceException,
                                    java.rmi.RemoteException

  This override assures that the copy has the original's value sources set on it.

  Specified by:
    `copyTo` in interface `MetadataInterface`
  Overrides:
    `copyTo` in class `Metadata`
  Parameters:
    `folder` - The folder to be the parent of the new object.
    `name` - The name of the new object.
  Returns:
    The new copy of this object.
  Throws:
    `ServiceException` - if a repository error occurs.
    `java.rmi.RemoteException` - in the event of remote object failure.
  See Also:
    `Metadata.copyTo(com.sas.services.information.metadata.FolderInterface, java.lang.String)`

### isPublic

    public boolean isPublic()
                     throws ServiceException,
                            java.rmi.RemoteException

  Specified by:
    `isPublic` in interface `BaseOMRPromptInterface`
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getPromptFromXML

    protected com.sas.util.xmlpersist.PersistenceInterface getPromptFromXML(com.sas.util.xmlpersist.PromptsReadingContext readingContext,
                                                                            java.lang.String xml)
                                                                     throws java.rmi.RemoteException,
                                                                            ServiceException

  Parameters:
    `readingContext` -
    `xml` -
  Returns:
    a PersistenceInterface object
  Throws:
    `java.rmi.RemoteException`
    `ServiceException`

### getUsageVersion

    public com.sas.util.UsageVersion getUsageVersion()
                                              throws java.rmi.RemoteException

  This method adds a micro version representing the major and minor version of the XML stored in this object. For example, XML of version 1.5 adds a micro version of 15.

  Specified by:
    `getUsageVersion` in interface `MetadataInterface`
  Overrides:
    `getUsageVersion` in class `Metadata`
  Returns:
    The metadata usage version.
  Throws:
    `java.rmi.RemoteException` - In the event of remote object failure.
  See Also:
    `Metadata.getUsageVersion()`

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.